package com.bsoft.api.service;

import com.bsoft.api.model.SysUser;

public interface LoginService {


    LoginInfo login(String loginName, String password);

    String refreshToken(String oldToken);

    class LoginInfo {
        private String token;
        private SysUser user;

        public LoginInfo() {
        }

        public LoginInfo(String token, SysUser user) {
            this.token = token;
            this.user = user;
        }

        public String getToken() {
            return token;
        }

        public void setToken(String token) {
            this.token = token;
        }

        public SysUser getUser() {
            return user;
        }

        public void setUser(SysUser user) {
            this.user = user;
        }
    }
}
